
/* Modals
// -------------------------- */
#mods {
	display: none;
	position: absolute;
	z-index: 500;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 140px 60px 60px 60px;
	background-color: rgba(0,0,0,0.15);
}
#mods.mods--active {
	display: block;
}
.mods--container {
	position: absolute;
	z-index: 510;
	width: 700px;
	padding: 50px;
	background: #FFFFFF;
	left: 50%;
	transform: translateX(-50%);
}
.mods--wrap {
	position: relative;
}
.mods--content {
	position: relative;
	min-height: 150px;
}
.mods--close {
	position: absolute;
	width: 50px;
	height: 50px;
	top: 0;
	right: 0;
	background: url("icons/icon-close.svg") no-repeat center;
	cursor: pointer;
}
@media (max-width: 836px) {
	#mods {
		padding: 40px;
	}
	.mods--container {
		width: calc(100% - 80px);
	}
}
@media (max-width: 680px) {
	.mods--container {
		padding: 40px;
	}
	.mods--close {
		width: 40px;
		height: 40px;
	}
}
@media (max-width: 592px) {
	#mods {
		padding: 0;
	}
	.mods--container {
		width: 100%;
		padding: 40px 30px;
	}
	.mods--close {
		width: 40px;
		height: 40px;
	}
}

/* Modal mask */
.mods--mask {
	display: none;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(255,255,255,0.75);
}
.mods--mask_active .mods--mask {
	display: block;
}
.mods--mask_active .mods--content .form--button {
	box-shadow: none;
}


/* Modal spinner */
.mods--spinner {
	display: none;
	position: absolute;
	top: calc( 50% - 22px);
	width: 100%;
	height: 44px;
	text-align: center;
}
.mods--spinner_active .mods--spinner {
	display: block;
}


/* Modal Notices */
.mods--notice {
	display: none;
	position: absolute;
	width: 100%;
	border: 2px solid var(--Grey); 
	background-color: var(--Soft-Bg);
	border-radius: 8px;
	padding: 23px 30px;
	min-height: 50px;
	z-index: 20;
}
.mods--notice_active .mods--spinner_container {
	display: none;
}

.mods--notice_container {
	font-size: 14px;
	line-height: 1.3;
}
.mods--notice h4 {
	margin-bottom: 10px;
	font-size: 24px;
	font-weight: 300;
}
.mods--notice p {
	margin-bottom: 0.6em;
}
.mods--notice a {
	font-weight: 500;
	color: var(--Black);
}
.mods--notice a:hover {
	text-decoration: underline;
}
.mods--notice .mods--button_row {
	text-align: center;
	margin-top: 20px;
}
.mods--notice_flex {
	display: flex;
}
.mods--notice_icon {
	width: 60px;
	margin-right: 30px;
	flex-grow: 0;
	flex-shrink: 0;
}
.mods--notice_icon img {
	display: block;
	width: 100%;
	height: auto;
}
@media (max-width: 592px) {
	.mods--notice {
		padding: 23px;
	}
	.mods--notice_icon {
		width: 50px;
		margin-right: 20px;
	}
}

/* Modal Message */
.mods--message_active .mods--message {
	display: block;
}


/* Modal Errors */
.mods--error {
	border-color: var(--Error); 
}
.mods--error_active .mods--error {
	display: block;
}
.mods--error h4 {
	color: var(--Black);
}
.mods--error_title {
	font-size: 12px;
	font-weight: 700;
	color: var(--Black);
	text-transform: uppercase;
	padding-right: 10px;
}


/* Modal MSG Success / Error
// -------------------------- */
.mods--content .mods--notice {
	text-align: center;
}
.mods--notice img {
	margin-bottom: 15px; 
}
.mods--notice h3 {
	color: var(--Blue);
	margin-bottom: 15px; 
}
.mods--notice p {
	margin-bottom: 0.7em; 
}
.mods--notice ul {
	text-align: left; 
}
.mods--notice .mods--bottom {
	margin-bottom: 1.8em; 
}
.mods--notice a {
	font-weight: 500;
	color: var(--Black);
}
.mods--notice a:hover {
	text-decoration: underline;
}
.mods--notice button {
	min-width: 200px;
	margin: 0 auto;
}


/* VSBL prevent body scrolling in forms
// -------------------------- */
.modal--no_scroll {
	overflow-y: hidden;
}
